import excel "C:\Research\trade_war\trade_war_tariffs\tariff_list.xlsx", sheet("22") firstrow clear
gen hs4=hs
replace hs4=trunc(hs/100) if hs>9999&hs<1000000
replace hs4=trunc(hs/10000) if hs>999999
replace hs=2710 if hs>100000000

//This will convert 2017 HS4 to 2007 HS4
replace hs4=1605 if hs4==306|hs4==307|hs4==308
replace  hs4=3824 if hs4==2852
replace  hs4=8479 if hs4==8456
replace hs4=8543 if hs4==8539

merge m:1 hs4 using intermediate\hs_gtap1.dta, update nogen
merge m:1 hs4 using intermediate\hs_gtap2.dta, update nogen
merge m:1 hs using intermediate\hs_gtap3.dta, update nogen
drop if missing( hs )
keep hs category item description GTAP_Code